Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3921 in orxonox.OLD


Ignore:
Timestamp:
Apr 21, 2005, 11:48:52 AM (19 years ago)
Author:
bensch
Message:

orxonox/branches/openAL: now searching for the openAL-header and lib
@simon: i hope, this will suffice for you to start coding :)

Location:
orxonox/branches/openAL
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/openAL/config.h.in

    r3863 r3921  
    33/* in which debug mode we are */
    44#undef DEBUG
     5
     6/* Define to 1 if you have the <AL/al.h> header file. */
     7#undef HAVE_AL_AL_H
    58
    69/* Define to 1 if you have the `bzero' function. */
  • orxonox/branches/openAL/configure

    r3906 r3921  
    61716171###################################
    61726172
    6173 #---------#
    6174 # SDL_ttf #
    6175 #---------#
    6176 # checking for SDL_ttf-headers
    6177 
    6178 for ac_header in SDL_ttf.h
     6173#--------#
     6174# openAL #
     6175#--------#
     6176# checking for openAL-headers
     6177
     6178for ac_header in AL/al.h
    61796179do
    61806180as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    63226322
    63236323else
     6324  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
     6325echo "$as_me: error: cannot find openAL header." >&2;}
     6326   { (exit 1); exit 1; }; }
     6327fi
     6328
     6329done
     6330
     6331#fi
     6332# checking for openAL-lib
     6333  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
     6334echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
     6335if test "${ac_cv_lib_openal_main+set}" = set; then
     6336  echo $ECHO_N "(cached) $ECHO_C" >&6
     6337else
     6338  ac_check_lib_save_LIBS=$LIBS
     6339LIBS="-lopenal  $LIBS"
     6340cat >conftest.$ac_ext <<_ACEOF
     6341/* confdefs.h.  */
     6342_ACEOF
     6343cat confdefs.h >>conftest.$ac_ext
     6344cat >>conftest.$ac_ext <<_ACEOF
     6345/* end confdefs.h.  */
     6346
     6347
     6348int
     6349main ()
     6350{
     6351main ();
     6352  ;
     6353  return 0;
     6354}
     6355_ACEOF
     6356rm -f conftest.$ac_objext conftest$ac_exeext
     6357if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6358  (eval $ac_link) 2>conftest.er1
     6359  ac_status=$?
     6360  grep -v '^ *+' conftest.er1 >conftest.err
     6361  rm -f conftest.er1
     6362  cat conftest.err >&5
     6363  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6364  (exit $ac_status); } &&
     6365         { ac_try='test -z "$ac_c_werror_flag"
     6366                         || test ! -s conftest.err'
     6367  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6368  (eval $ac_try) 2>&5
     6369  ac_status=$?
     6370  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6371  (exit $ac_status); }; } &&
     6372         { ac_try='test -s conftest$ac_exeext'
     6373  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6374  (eval $ac_try) 2>&5
     6375  ac_status=$?
     6376  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6377  (exit $ac_status); }; }; then
     6378  ac_cv_lib_openal_main=yes
     6379else
     6380  echo "$as_me: failed program was:" >&5
     6381sed 's/^/| /' conftest.$ac_ext >&5
     6382
     6383ac_cv_lib_openal_main=no
     6384fi
     6385rm -f conftest.err conftest.$ac_objext \
     6386      conftest$ac_exeext conftest.$ac_ext
     6387LIBS=$ac_check_lib_save_LIBS
     6388fi
     6389echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
     6390echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
     6391if test $ac_cv_lib_openal_main = yes; then
     6392  FOUND_openal=yes
     6393fi
     6394
     6395     if test x$FOUND_openal = xyes ; then
     6396       LIBS="$LIBS -lopenal"
     6397     else
     6398        echo "------------------"
     6399        echo "openal library not found."
     6400        echo "please install the openal library, which can be found at http://www.openal.org"
     6401        echo "------------------"
     6402        exit -1
     6403     fi
     6404
     6405#---------#
     6406# SDL_ttf #
     6407#---------#
     6408# checking for SDL_ttf-headers
     6409
     6410for ac_header in SDL_ttf.h
     6411do
     6412as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     6413if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6414  echo "$as_me:$LINENO: checking for $ac_header" >&5
     6415echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6416if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6417  echo $ECHO_N "(cached) $ECHO_C" >&6
     6418fi
     6419echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6420echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6421else
     6422  # Is the header compilable?
     6423echo "$as_me:$LINENO: checking $ac_header usability" >&5
     6424echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     6425cat >conftest.$ac_ext <<_ACEOF
     6426/* confdefs.h.  */
     6427_ACEOF
     6428cat confdefs.h >>conftest.$ac_ext
     6429cat >>conftest.$ac_ext <<_ACEOF
     6430/* end confdefs.h.  */
     6431$ac_includes_default
     6432#include <$ac_header>
     6433_ACEOF
     6434rm -f conftest.$ac_objext
     6435if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     6436  (eval $ac_compile) 2>conftest.er1
     6437  ac_status=$?
     6438  grep -v '^ *+' conftest.er1 >conftest.err
     6439  rm -f conftest.er1
     6440  cat conftest.err >&5
     6441  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6442  (exit $ac_status); } &&
     6443         { ac_try='test -z "$ac_c_werror_flag"
     6444                         || test ! -s conftest.err'
     6445  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6446  (eval $ac_try) 2>&5
     6447  ac_status=$?
     6448  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6449  (exit $ac_status); }; } &&
     6450         { ac_try='test -s conftest.$ac_objext'
     6451  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6452  (eval $ac_try) 2>&5
     6453  ac_status=$?
     6454  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6455  (exit $ac_status); }; }; then
     6456  ac_header_compiler=yes
     6457else
     6458  echo "$as_me: failed program was:" >&5
     6459sed 's/^/| /' conftest.$ac_ext >&5
     6460
     6461ac_header_compiler=no
     6462fi
     6463rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     6464echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     6465echo "${ECHO_T}$ac_header_compiler" >&6
     6466
     6467# Is the header present?
     6468echo "$as_me:$LINENO: checking $ac_header presence" >&5
     6469echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     6470cat >conftest.$ac_ext <<_ACEOF
     6471/* confdefs.h.  */
     6472_ACEOF
     6473cat confdefs.h >>conftest.$ac_ext
     6474cat >>conftest.$ac_ext <<_ACEOF
     6475/* end confdefs.h.  */
     6476#include <$ac_header>
     6477_ACEOF
     6478if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     6479  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     6480  ac_status=$?
     6481  grep -v '^ *+' conftest.er1 >conftest.err
     6482  rm -f conftest.er1
     6483  cat conftest.err >&5
     6484  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6485  (exit $ac_status); } >/dev/null; then
     6486  if test -s conftest.err; then
     6487    ac_cpp_err=$ac_c_preproc_warn_flag
     6488    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     6489  else
     6490    ac_cpp_err=
     6491  fi
     6492else
     6493  ac_cpp_err=yes
     6494fi
     6495if test -z "$ac_cpp_err"; then
     6496  ac_header_preproc=yes
     6497else
     6498  echo "$as_me: failed program was:" >&5
     6499sed 's/^/| /' conftest.$ac_ext >&5
     6500
     6501  ac_header_preproc=no
     6502fi
     6503rm -f conftest.err conftest.$ac_ext
     6504echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     6505echo "${ECHO_T}$ac_header_preproc" >&6
     6506
     6507# So?  What about this header?
     6508case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     6509  yes:no: )
     6510    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     6511echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     6512    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     6513echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     6514    ac_header_preproc=yes
     6515    ;;
     6516  no:yes:* )
     6517    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     6518echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     6519    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     6520echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     6521    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     6522echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     6523    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     6524echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     6525    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     6526echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     6527    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     6528echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     6529    (
     6530      cat <<\_ASBOX
     6531## ---------------------------------------------- ##
     6532## Report this to orxonox-dev at mail.datacore.ch ##
     6533## ---------------------------------------------- ##
     6534_ASBOX
     6535    ) |
     6536      sed "s/^/$as_me: WARNING:     /" >&2
     6537    ;;
     6538esac
     6539echo "$as_me:$LINENO: checking for $ac_header" >&5
     6540echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     6541if eval "test \"\${$as_ac_Header+set}\" = set"; then
     6542  echo $ECHO_N "(cached) $ECHO_C" >&6
     6543else
     6544  eval "$as_ac_Header=\$ac_header_preproc"
     6545fi
     6546echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     6547echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     6548
     6549fi
     6550if test `eval echo '${'$as_ac_Header'}'` = yes; then
     6551  cat >>confdefs.h <<_ACEOF
     6552#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     6553_ACEOF
     6554
     6555else
    63246556  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
    63256557echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     
    64026634        exit -1
    64036635     fi
     6636
    64046637
    64056638#-----------#
  • orxonox/branches/openAL/configure.ac

    r3906 r3921  
    421421###################################
    422422
     423#--------#
     424# openAL #
     425#--------#
     426# checking for openAL-headers
     427  AC_CHECK_HEADERS([AL/al.h] ,,
     428      [AC_MSG_ERROR([cannot find openAL header.])])
     429#fi
     430# checking for openAL-lib
     431  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
     432     if test x$FOUND_openal = xyes ; then
     433       LIBS="$LIBS -lopenal"
     434     else
     435        echo "------------------"
     436        echo "openal library not found."
     437        echo "please install the openal library, which can be found at http://www.openal.org"
     438        echo "------------------"
     439        exit -1
     440     fi   
     441
    423442#---------#
    424443# SDL_ttf #
     
    439458        exit -1
    440459     fi   
     460
    441461
    442462#-----------#
Note: See TracChangeset for help on using the changeset viewer.